package com.org.hktshop.service.user;

import com.org.hktshop.entity.user.HktUserPoint;

import java.util.List;

/**
 * @author hotking03
 */
public interface HktUserPointService {

    /**
     * 退款时候
     * 新增用户积分
     * @param hktUserPoint
     */
    void addUserPoint(HktUserPoint hktUserPoint);

    /**
     * 用户积分列表
     * @param hktUserPoint
     * @return
     */
    List<HktUserPoint> queryList(HktUserPoint hktUserPoint);

    /**
     * 下订单时候
     * 新增用户积分
     * @param orderSn
     */
    void addUserPoint(String orderSn);
}
